Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class MethodCallModel.PropertyRefArgument

    java.lang.Object
      com.bea.p13n.rules.model.MethodCallModel.PropertyRefArgument

Enclosing class:
  MethodCallModel

    public static final class MethodCallModel.PropertyRefArgument

extends Object

Represents a method call argument which is the value of a property.

Field Summary
`String` | `propertyName`
`String` | `propertySetName`
`PropertyRefModel.PropertySetType` | `propertySetType`
`String` | `variableName`

Constructor Summary
`MethodCallModel.PropertyRefArgument(PropertyRefModel.PropertySetType type, String propertySetName, String propertyName)`
`MethodCallModel.PropertyRefArgument(PropertyRefModel.PropertySetType type, String propertySetName, String propertyName, String variableName)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### propertySetType

    public final PropertyRefModel.PropertySetType propertySetType

### propertySetName

    public final String propertySetName

### propertyName

    public final String propertyName

### variableName

    public final String variableName

Constructor Detail

### MethodCallModel.PropertyRefArgument

    public MethodCallModel.PropertyRefArgument(PropertyRefModel.PropertySetType type,
                                               String propertySetName,
                                               String propertyName,
                                               String variableName)

### MethodCallModel.PropertyRefArgument

    public MethodCallModel.PropertyRefArgument(PropertyRefModel.PropertySetType type,
                                               String propertySetName,
                                               String propertyName)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.